# norootforbuild
#!BuildIgnore:          post-build-checks
%define _prefix	/usr
%define soname		0

Name:				inotify-tools
Version:			3.13
Release:			7.12
Summary:			Command Line Utilities for inotify
Source0:			http://prdownloads.sourceforge.net/inotify-tools/inotify-tools-%{version}.tar.bz2
Patch1:				inotify-tools-old-doxygen.patch
URL:				http://inotify-tools.sourceforge.net/
Group:				System/Filesystems
License:			GNU General Public License (GPL)
BuildRoot:			%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc glibc-devel make gettext gettext-devel intltool
BuildRequires:	doxygen
BuildRequires:	autoconf automake libtool
%if 0%{?suse_version} >= 1030
Requires:		libinotifytools%{soname} = %{version}-%{release}
%else
Requires:		libinotifytools = %{version}-%{release}
%endif

%description
inotify-tools is a set of command line utilities for the Linux inotify
filesystem change notification system. It currently consists of only one
utility, "inotifywait", which is used to wait for changes to a file from
a shell script.

%if 0%{?suse_version} >= 1030
%package -n libinotifytools%{soname}
%else
%package -n libinotifytools
%endif
Summary:			Library for inotify
Group:			Development/Libraries/C and C++

%if 0%{?suse_version} >= 1030
%description -n libinotifytools%{soname}
%else
%description -n libinotifytools
%endif
Library for inotify.

%package -n libinotifytools-devel
Summary:			Library for inotify
Group:			Development/Libraries/C and C++

%description -n libinotifytools-devel
Library for inotify

%if 0%{?suse_version} >= 930
%debug_package
%endif
%prep
%setup -q -n "inotify-tools-%{version}"
%if 0%{?suse_version} < 1020
%patch1
%endif

%build
%configure --enable-doxygen

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

echo -n libinotifytools.files
for f in AUTHORS ChangeLog COPYING NEWS README; do
	%__install -D -m 0644 "$f" "%{buildroot}%{_docdir}/libinotifytools/$f"
	echo '%doc %{_docdir}/libinotifytools/'"$f" >> libinotifytools.files
done

%__install -d "%{buildroot}%{_docdir}/libinotifytools"
%__mv "%{buildroot}%{_datadir}/doc/inotify-tools" \
	"%{buildroot}%{_docdir}/libinotifytools/html"

%if 0%{?suse_version} < 930
%__strip "%{buildroot}%{_bindir}"/* \
	"%{buildroot}%{_libdir}"/lib*.so.*
%endif

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%doc %{_mandir}/man1/inotifywait.1*
%doc %{_mandir}/man1/inotifywatch.1*

%if 0%{?suse_version} >= 1030
%files -n libinotifytools%{soname} -f libinotifytools.files
%else
%files -n libinotifytools -f libinotifytools.files
%endif
%defattr(-,root,root)
%{_libdir}/libinotifytools.so.%{soname}
%{_libdir}/libinotifytools.so.%{soname}.*

%files -n libinotifytools-devel
%defattr(-,root,root)
%doc %{_docdir}/libinotifytools/html
%{_includedir}/inotifytools
%{_libdir}/libinotifytools.so
%{_libdir}/libinotifytools.la
%{_libdir}/libinotifytools.a

%changelog
* Mon Aug 18 2008 Carsten Schoene <cs@linux-administrator.com> 3.13-3
- initial import
